Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 479eced7845fdb7c5c4ddcbceab6aaf3a81a4c20)
+++ sansview/perspectives/fitting/fitpage.py	(revision b9405cdd93ee5e8b9ff1615fd9196f599dbf034e)
@@ -511,4 +511,5 @@
                         ix = 0
                         cb = wx.CheckBox(self, -1, name1, (10, 10))
+                        cb.SetToolTipString("Check for fitting")
                         wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
                         self.sizer4_4.Add( cb,( iy, ix),(1,1),  
@@ -518,4 +519,5 @@
                         ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                             style=wx.TE_PROCESS_ENTER)
+                        ctl1.SetToolTipString("Polydispersity multiflied by the value of '%s'."%item)
                         ctl1.SetValue(str (format_number(value)))
                         self.sizer4_4.Add(ctl1, (iy,ix),(1,1),wx.EXPAND)
@@ -537,5 +539,5 @@
                         ctl3 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
                                                        text_enter_callback = self._onparamRangeEnter)
-
+                        
                         self.sizer4_4.Add(ctl3, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                         ctl3.Hide()
@@ -544,4 +546,5 @@
                         ctl4 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
                                                        text_enter_callback = self._onparamRangeEnter)
+                        
                         self.sizer4_4.Add(ctl4, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
 
@@ -560,5 +563,5 @@
                             Tctl = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            
+                            Tctl.SetToolTipString("Npts for averaging over the distribution function.")
                             Tctl.SetValue(str (format_number(value)))
                             self.sizer4_4.Add(Tctl, (iy,ix),(1,1),
@@ -571,4 +574,5 @@
                             Tct2 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
+                            Tct2.SetToolTipString("Only the range between +-(Nsigmas times Sigma) of the distribution function will be weighted for the calculation.")
                             Tct2.SetValue(str (format_number(value)))
                             self.sizer4_4.Add(Tct2, (iy,ix),(1,1),
@@ -601,4 +605,5 @@
                         ix = 0
                         cb = wx.CheckBox(self, -1, name1, (10, 10))
+                        cb.SetToolTipString("Check for fitting")
                         wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
                         self.sizer4_4.Add( cb,( iy, ix),(1,1),  
@@ -612,4 +617,5 @@
                         ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                             style=wx.TE_PROCESS_ENTER)
+                        ctl1.SetToolTipString("Polydispersity multiflied by the value of '%s'."%item)
                         ctl1.SetValue(str (format_number(value)))
                         if self.data.__class__.__name__ =="Data2D":
@@ -665,5 +671,5 @@
                             Tctl = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            
+                            Tctl.SetToolTipString("Npts for averaging over the distribution function.")
                             Tctl.SetValue(str (format_number(value)))
                             if self.data.__class__.__name__ =="Data2D":
@@ -682,4 +688,5 @@
                             Tct2 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
+                            Tct2.SetToolTipString("Only the range between +-(Nsigmas times Sigma) of the distribution function will be weighted for the calculation.")
                             Tct2.SetValue(str (format_number(value)))
                             if self.data.__class__.__name__ =="Data2D":
@@ -2135,4 +2142,5 @@
                     cb = wx.CheckBox(self, -1, item )
                     cb.SetValue(False)
+                    cb.SetToolTipString("Check for fitting")
                     wx.EVT_CHECKBOX(self, cb.GetId(), self.select_param)
                     if self.data.__class__.__name__ =="Data2D":
@@ -2148,5 +2156,4 @@
                     ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                         style=wx.TE_PROCESS_ENTER)
-                    
                     ctl1.SetValue(format_number(value))
                     if self.data.__class__.__name__ =="Data2D":
@@ -2163,5 +2170,4 @@
                     ix += 1
                     ctl2 = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)
-                    
                     sizer.Add(ctl2, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                     ctl2.Hide()
@@ -2171,5 +2177,5 @@
                     ctl3 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
                                                    text_enter_callback = self._onparamRangeEnter)
-               
+                    
                     sizer.Add(ctl3, (iy,ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                     ctl3.Hide()
